Name: gitalt-tasker
Version: 0.0.1.0

%define branch_switch 

Summary: Powerfull script for to send tasks to ALTLinux resitories
Summary(ru_RU.UTF-8): Полезный скрипт для отправки заданий на сборку в репозитории ALTLinux
License: GPL
Group: Development/Functional
Packager: Dmitry Kharitonov <kharpost@altlinux.ru>

Url: http://git.altlinux.org/people/kharpost/packages/gitalt-tasker.git
Source: %name-%version.tgz
BuildRequires(pre): rpm-macros-branch
BuildRequires: coreutils
Requires: coreutils git-core rsync
Release: %branch_release alt1.2

BuildArch: noarch

%define gitalt_confdir %_sysconfdir
%define subpackage1 server
%define cachedir %_localstatedir/%name
%define cacherepos %cachedir/repos

%description
%name -- Powerfull script for to send tasks to ALTLinux resitories

%description -l ru_RU.UTF-8
%name -- Полезный скрипт для отправки заданий на сборку в репозитории ALTLinux

%package %subpackage1
Summary: Server for %name
Summary(ru_RU.UTF-8): Сервер для %name
License: GPL
Group: Development/Functional
Requires: %name = %version-%release
Requires: coreutils git-core

%description %subpackage1
Server for %name

%prep
%setup -n %name-%version

%install
mkdir -p %buildroot%gitalt_confdir
mkdir -p %buildroot/usr/bin
mkdir -p %buildroot%_sysconfdir/cron.d/
mkdir -p %buildroot%cachedir
touch %buildroot%cacherepos

# install bin
subst "s|source[[:space:]]*\"/etc/g.*|source \"%gitalt_confdir/git-task.conf\"|" git-task{,-server}
subst "s|cacherepos=\"/var/.*|cacherepos=\"%cacherepos\"|" git-task{,-server}
subst "s|version[[:space:]]\+.*\"|version %version-%release\"|" git-task{,-server}
%__install -p -m 755 git-task{,-server} %buildroot/usr/bin/

# install configs
%__install -p -m 644 git-task.conf %buildroot%gitalt_confdir

# install cron
%__cat > %buildroot%_sysconfdir/cron.d/%name-server << EOF
*/10 * * * * root /usr/bin/git-task-server

EOF

# install cache
%__cat > %buildroot%cacherepos << EOF
sisyphus
EOF

%files
#%dir %attr(1755,root,root) %gitalt_confdir
%config(noreplace) %attr(0644,root,root) %verify(not md5 size mtime) %gitalt_confdir/git-task.conf
%attr(0755,root,root) /usr/bin/git-task
%attr(0666,root,root) %cacherepos


%files %subpackage1
#/usr/bin
#%dir %attr(1755,root,root) %gitalt_confdir
%config(noreplace) %attr(0644,root,root) %verify(not md5 size mtime) %gitalt_confdir/git-task.conf
%attr(0744,root,root) /usr/bin/git-task-server
%config(noreplace) %attr(0644,root,root) %verify(not md5 size mtime) %_sysconfdir/cron.d/%name-server


%changelog
* Fri Oct 09 2009 Kharitonov A. Dmitry <kharpost@altlinux.ru> 0.0.1.0-alt1.2
- Autocommit for branch sisyphus

* Sat Sep 26 2009 Kharitonov A. Dmitry <kharpost@altlinux.ru> 0.0.1.0-alt0.M41.1
- fix many bugs

* Thu Aug 27 2009 Kharitonov A. Dmitry <kharpost@altlinux.ru> 0.0.0.1-alt0.M41.1
- initial release
